<!DOCTYPE html>
<html lang="en">
<head>
    <title>Log</title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta charset="UTF-8" name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0">
    <link rel="stylesheet" type="text/css" href="semantic/dist/semantic.min.css">
    <style>
        .matrix {
            resize: none !important ;
            min-height: 100px;
            background-color: black !important;
            color: #33F914 !important;
        }
    </style>
</head>

<body>
<div class="segment ui form" id="logDiv">
    <textarea rows="50" id="logText" class="matrix"></textarea>
</div>
</body>

<script>window.$ = window.jQuery = require('jquery');</script>
<script>
    const {ipcRenderer} = require('electron');

    ipcRenderer.on('log', (event, arg) => {
        // let par = document.createElement("p")
        // let t = document.createTextNode(arg);
        // document.body.appendChild(par.appendChild(t));

        document.getElementById("logText").value += '\n'+arg;
        // var $textarea = $('#logText');

        // let div = document.getElementById('logDiv');
        // div.innerHTML += '\n' + arg ;

    });


    // Click Events
    $("#action-close").click(() => {
        ipcRenderer.send("command:close","SDASDASD");
    });


</script>


</html>